org.eclipse.emf.cdo.view

## Interface CDOFeatureAnalyzer

-     public interface CDOFeatureAnalyzer

  A call-back interface that is called by a `view` on each model read access.
  Since:
    2.0
  Author:
    Simon McDuff
  Apiviz

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOFeatureAnalyzer` | `NOOP`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `postTraverseFeature(CDOObject revision, EStructuralFeature feature, int index, java.lang.Object value)`
    `void` | `preTraverseFeature(CDOObject revision, EStructuralFeature feature, int index)`

- - ### Field Detail

    - #### NOOP

          static final CDOFeatureAnalyzer NOOP

  - ### Method Detail

    - #### preTraverseFeature

          void preTraverseFeature(CDOObject revision,
                                  EStructuralFeature feature,
                                  int index)

    - #### postTraverseFeature

          void postTraverseFeature(CDOObject revision,
                                   EStructuralFeature feature,
                                   int index,
                                   java.lang.Object value)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html